Bug 102432 - Permission denied trying to change Content Item's language with permissionsDML checking on
Permission denied trying to change Content Item's language with permissionsDM...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity high
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: 101458
  Show dependency treegraph
 
Reported: 2003-08-14 19:51 EDT by Jon Orris
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-18 17:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-08-14 19:51:49 EDT
Description of problem:
Permission denied trying to change Content Item's language with permissionsDML
checking on.

2003-08-14 19:35:06,461 [005-1] WARN  SECURITY - 2003-08-14 19:35:06.461
127.0.0.1 User null does not have the write privilege  on Object
[com.arsdigita.cms.contenttypes.Article:{id=3021}] with context
[com.arsdigita.cms.ContentBundle:{id=2025}]
2003-08-14 19:35:06,924 [005-1] FATAL logging.ErrorReport - 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:6ea9b7b:f702cffbab -*-*-*-
-*-*-*- Message: User null does not have the write privilege  on Object
[com.arsdigita.cms.contenttypes.Article:{id=3021}] with context
[com.arsdigita.cms.ContentBundle:{id=2025}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.8,de;q=0.5,nl;q=0.3
Connection: keep-alive
Content-Length: 510
Content-Type: application/x-www-form-urlencoded
Cookie: ad_user_login=1020!1155508392700!LlP7ACl4yuItbRf0yD8dzQ==;
JSESSIONID=arjMEgVbWo4b
Host: localhost:9005
Keep-Alive: 300
Referer:
http://localhost:9005/ccm/articles/admin/item.jsp?bbp.2536.d=asc&bbp.109.sel=12001&bbp.1303.sel=10001&bbp.1435.sel=10009&bbp.2075.sel=12005&item_id=3021&bbp.247.sel=14005&bbp.2830.d=asc&bbp.1947.sel=10005&g11n.enc=UTF-8&bbp.v=2&bbp.s=3&bbp.i=d0.4.2.a.1.23.1.3u.1.2r.1.2z.1.62.1.e0.1.3e.1.3m.1.e8.1.3i.1.66.1.3a.1&bbp.e=select&bbp.457.sel=11001&bbp.3.pane=1&bbp.1180.sel=13004&bbp.2416.sel=11006&bbp.31.sel=14&bbp.2843.d=asc&bbp.347.sel=13001&bbp.676.sel=11010&bbp.2297.sel=14001&g11n.enc=UTF-8
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

-*-*-*- Section: Cookies -*-*-*-
ad_user_login: 1020!1155508392700!LlP7ACl4yuItbRf0yD8dzQ== (expires: -1)
JSESSIONID: arjMEgVbWo4b (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.kernel.permissions.PermissionException: User null does not have
the write privilege  on Object
[com.arsdigita.cms.contenttypes.Article:{id=3021}] with context
[com.arsdigita.cms.ContentBundle:{id=2025}]
	at
com.arsdigita.kernel.permissions.PermissionService.assertPermission(PermissionService.java:122)
	at com.arsdigita.kernel.ACSObject.assertPrivilege(ACSObject.java:395)
	at com.arsdigita.kernel.ACSObject.doWriteCheck(ACSObject.java:446)
	at
com.arsdigita.kernel.permissions.PermissionsObserver.beforeSave(PermissionsObserver.java:60)
	at
com.arsdigita.domain.ObservableDomainObject.beforeSave(ObservableDomainObject.java:206)
	at com.arsdigita.kernel.ACSObject.beforeSave(ACSObject.java:471)
	at com.arsdigita.cms.ContentItem.beforeSave(ContentItem.java:361)
	at com.arsdigita.domain.DomainObject$SaveObserver.beforeSave(DomainObject.java:611)
	at com.arsdigita.persistence.BeforeSaveEvent.doInvoke(DataEvent.java:169)
	at com.arsdigita.persistence.DataEvent.invoke(DataEvent.java(Compiled Code))
	at
com.arsdigita.persistence.DataObjectImpl.fireObserver(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataEvent.fire(DataEvent.java(Inlined Compiled Code))
	at
com.arsdigita.persistence.Session$FlushEventProcessor.flush(Session.java(Compiled
Code))
	at com.redhat.persistence.Session.flushInternal(Session.java(Compiled Code))
	at com.redhat.persistence.Session.flush(Session.java:482)
	at
com.arsdigita.persistence.TransactionContext.commitTxn(TransactionContext.java:89)
	at com.arsdigita.kernel.DatabaseTransaction.commit(DatabaseTransaction.java:74)
	at com.arsdigita.web.BaseServlet.redirect(BaseServlet.java:257)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:148)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/jorris/portalserver/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/jorris/portalserver/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/jorris/portalserver/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/var/ccm-devel/web/jorris/portalserver/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/jorris/portalserver/webapps/ccm/WEB-INF/lib/xalan.jar:/opt/apps/oracle/product/9.2.0/jdbc/lib/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-19.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /opt/resin/2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-

Note You need to log in before you can comment on or make changes to this bug.